Last Comment Bug 388078 - Trunk build broken
: Trunk build broken
Status: RESOLVED FIXED
: fixed1.8.1.12
Product: Core
Classification: Components
Component: XForms (show other bugs)
: Trunk
: x86 All
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 388085 (view as bug list)
Depends on:
Blocks: 410239
  Show dependency treegraph
 
Reported: 2007-07-13 12:53 PDT by aaronr
Modified: 2008-01-11 12:16 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.92 KB, patch)
2007-07-16 13:54 PDT, aaronr
doronr: review+
bugs: review+
Details | Diff | Review

Description aaronr 2007-07-13 12:53:30 PDT
Due to checkin for bug 386903, xforms build is broken on the trunk.  We use makejs.pl which that bug removed.  It is used in conjunction with install.jst to create an install.js.  Looks like to fix this build break we'll have to keep around a static install.js like other extensions do.  I think we really only needed it to get our version number and the space required variables.  But when this is fixed we'll have to build both firefox and seamonkey and make sure nothing else is broken.
Comment 1 Phil Ringnalda (:philor) 2007-07-13 20:18:39 PDT
*** Bug 388085 has been marked as a duplicate of this bug. ***
Comment 2 aaronr 2007-07-16 13:54:22 PDT
Created attachment 272542 [details] [diff] [review]
patch

I basically moved the contents of install.jst to install.js.  I hardcode the version number and the space required numbers, using the numbers from the install.js that 1.8 branch still generates.  These space required values are just a guide, anyhow.  I also added the function verifyDiskSpace (copied from the chatzilla install.js).

I also think that this change should be made on the 1.8 branch too, just to keep things common between branch and trunk.
Comment 3 aaronr 2007-07-16 15:55:44 PDT
Fix checked into trunk.  Branch is closed, so will have to wait on that until 2.0.0.5 goes out.
Comment 4 aaronr 2008-01-08 19:21:24 PST
checked into 1.8 branch via bug 410239.
Comment 5 aaronr 2008-01-11 12:16:37 PST
note: this was effectively backed out of the 1.8 branch with bug 411960.  I shouldn't have checked this into 1.8 in the first place.  Doh!

Note You need to log in before you can comment on or make changes to this bug.